{ pkgs, lib, config, ... }:
let
    settings = import ./../settings.nix;
in
{
    # Enable the X11 windowing system.
    services.xserver.enable = true;

    # Configure keymap in X11
    services.xserver = {
        layout = "de";
        xkbVariant = "";
    };

    # Enable the KDE Plasma Desktop Environment.
    services.xserver.displayManager.sddm.enable = true;
    services.xserver.desktopManager.plasma5.enable = true;
    # set wayland as default session
    services.xserver.displayManager.defaultSession = "plasmawayland";

    # exclude packages from plasma5
    environment.plasma5.excludePackages = settings.plasma5.excludePackages;

    programs.dconf.enable = settings.plasma5.dconf;
    programs.xwayland.enable = settings.plasma5.xwayland;
}
