{ pkgs, lib, config, ... }:
let
    settings = import ./../settings.nix;
in
{
    imports = lib.optionals settings.dev.lsp.enable [ ./lsp.nix ]
    ++ lib.optionals settings.virtualisation.docker-rootless.enable [ ./docker-rootless.nix ]
    ++ lib.optionals settings.virtualisation.qemu.enable [ ./qemu.nix ]
    ++ lib.optionals settings.dev.platformio [ ./platformio.nix ]
    ++ lib.optionals settings.dev.latex [ ./latex.nix ]
    ++ lib.optionals settings.dev.dotnet [ ./dotnet.nix ]
    ++ lib.optionals settings.dev.python3.enable [ ./python3.nix ]
    ++ lib.optionals settings.virtualisation.waydroid [ ./waydroid.nix ];
}
